Skip to main content
GET
/
api
/
v1
/
indices
/
{id}
/
constituents
Get index constituents
curl --request GET \
  --url https://v2.api.adj.news/api/v1/indices/{id}/constituents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "ticker": "<string>",
      "platform": "<string>",
      "weight": 123,
      "price": 123
    }
  ],
  "total": 123
}
Returns all markets that make up a specific index with their weights and current prices.

Path Parameters

id
string
required
The unique index identifier (e.g., upfi_senate_kalshi, upfi_pres_kalshi).

Response

{
  "data": [
    {
      "ticker": "SENATECO-26-R",
      "platform": "kalshi",
      "weight": 0.0480,
      "price": 5.0
    },
    {
      "ticker": "SENATEIA-26-R",
      "platform": "kalshi",
      "weight": 0.0456,
      "price": 66.0
    }
  ],
  "total": 31
}
FieldTypeDescription
tickerstringMarket identifier
platformstringSource platform
weightnumberMarket weight (0.0-1.0), sums to 1.0
pricenumberCurrent probability (0-100)

Weight Calculation

Weights are based on trading volume and liquidity. Each market’s contribution = weight * price.

Example

curl "https://v2.api.adj.news/api/v1/indices/upfi_senate_kalshi/constituents" \
  -H "Authorization: Bearer YOUR_TOKEN"

Write Access

With write:indices scope:
  • POST /api/v1/indices/{id}/constituents - Add constituent
  • DELETE /api/v1/indices/{id}/constituents/{ticker} - Remove constituent

Authorizations

Authorization
string
header
required

Auth0 JWT Bearer token

Path Parameters

id
string
required

Index ID

Response

200 - application/json

List of constituents

data
object[]
total
integer